org.jfree.chart.plot

## Class ValueMarker

- java.lang.Object
- - org.jfree.chart.plot.Marker
  - - org.jfree.chart.plot.ValueMarker

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ValueMarker
    extends Marker

A marker that represents a single value. Markers can be added to plots to highlight specific values.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ValueMarker(double value)` Creates a new marker.
`ValueMarker(double value, java.awt.Paint paint, java.awt.Stroke stroke)` Creates a new marker.
`ValueMarker(double value, java.awt.Paint paint, java.awt.Stroke stroke, java.awt.Paint outlinePaint, java.awt.Stroke outlineStroke, float alpha)` Creates a new value marker.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Tests this marker for equality with an arbitrary object.
`double` `getValue()` Returns the value.
`void` `setValue(double value)` Sets the value for the marker and sends a `MarkerChangeEvent` to all registered listeners.

### Methods inherited from class org.jfree.chart.plot.Marker

`addChangeListener, clone, getAlpha, getLabel, getLabelAnchor, getLabelFont, getLabelOffset, getLabelOffsetType, getLabelPaint, getLabelTextAnchor, getListeners, getOutlinePaint, getOutlineStroke, getPaint, getStroke, notifyListeners, removeChangeListener, setAlpha, setLabel, setLabelAnchor, setLabelFont, setLabelOffset, setLabelOffsetType, setLabelPaint, setLabelTextAnchor, setOutlinePaint, setOutlineStroke, setPaint, setStroke`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValueMarker

    public ValueMarker(double value)

Creates a new marker.

Parameters:
  `value` - the value.

#### ValueMarker

    public ValueMarker(double value,
               java.awt.Paint paint,
               java.awt.Stroke stroke)

Creates a new marker.

Parameters:
  `value` - the value.
  `paint` - the paint (`null` not permitted).
  `stroke` - the stroke (`null` not permitted).

#### ValueMarker

    public ValueMarker(double value,
               java.awt.Paint paint,
               java.awt.Stroke stroke,
               java.awt.Paint outlinePaint,
               java.awt.Stroke outlineStroke,
               float alpha)

Creates a new value marker.

Parameters:
  `value` - the value.
  `paint` - the paint (`null` not permitted).
  `stroke` - the stroke (`null` not permitted).
  `outlinePaint` - the outline paint (`null` permitted).
  `outlineStroke` - the outline stroke (`null` permitted).
  `alpha` - the alpha transparency (in the range 0.0f to 1.0f).

### Method Detail

#### getValue

    public double getValue()

Returns the value.

Returns:
  The value.
See Also:
  `setValue(double)`

#### setValue

    public void setValue(double value)

Sets the value for the marker and sends a `MarkerChangeEvent` to all registered listeners.

Parameters:
  `value` - the value.
Since:
  1.0.3
See Also:
  `getValue()`

#### equals

    public boolean equals(java.lang.Object obj)

Tests this marker for equality with an arbitrary object. This method returns `true` if:

- `obj` is not `null`;
- `obj` is an instance of `ValueMarker`;
- `obj` has the same value as this marker;
- `super.equals(obj)` returns `true`.

Overrides:
  `equals` in class `Marker`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.